Eclipse Ganymede SR2 버전 사용중, SVN플러그인 Subversive를 설치하는 도중 에러가 계속 발생하였다.

정상적인 플러그인의 설치는 Help > Software Updates 를 통해서 이루어 진다.

'Add Site'를 통하여 URL을 입력하고, 추가된 노드중에서 필요한 아이템만 선택해서
Install 을 하면 업데이트가 완료된다.

Finish하면 업데이트 다운로드 및 설치를 시작하여 완료된다.

하지만 다음과 같은 문제가 발생하는 경우가 있다.
URL이 잘못된 것도 아니고, 네트웍에 문자가 있는것도 아닌데, No repository found containing 이라고 플러그인 저장소를 찾지 못하는 에러가 발생한다. 

이럴때의 해결방안.
1. Available Software -> Manage Sites.. 로 가서, Export로 등록된 URL를 모두 XML로 내보낸다.
2. 텍스트 편집기로 XML파일을 열어, 업데이트 URL이 적힌 엘리먼트중에, URL 마지막에 /이 없는 URL들은 모두 /를 붙여준다.
3. 등록된 URL을 모두 삭제한다.
4. 수정한 XML파일을 import 하여 목록을 갱신해준다.

그림과 같은 http://download.eclipse.org/releases/ganymede -> http://download.eclipse.org/releases/ganymede/ 의 형식으로 빠진 것들을 수정해 주면 된다.


갱신된 URL목록으로는 업데이트가 성공적으로 이루어 진다.
기존에 등록된 URL외에 사용자가 추가하는 URL은 마지막에 /를 체크하고 있다.
저작자 표시
신고
크리에이티브 커먼즈 라이선스
Creative Commons License
Posted by 영겁회귀

티스토리 툴바